## bbmap 39.01+dfsg

=== jni/CMakeLists.txt ===
#Project settings
cmake_minimum_required (VERSION 2.8) 
project(BBToolsJNI) 

#Find required packages
find_package(Java REQUIRED)
find_package(JNI REQUIRED)
if(NOT EXISTS ${Java_JAVAH_EXECUTABLE})
    FIND_PROGRAM(Java_JAVAH_EXECUTABLE
        NAMES javah
        HINTS ${_JAVA_HINTS}
        PATHS ${_JAVA_PATHS}
    )
    if(EXISTS ${Java_JAVAH_EXECUTABLE})
        message(STATUS "Found Java_JAVAH_EXECUTABLE=${Java_JAVAH_EXECUTABLE}")
    else()
        message(FATAL_ERROR "Java generator 'javah' could not be found. Ensure it is installed and in your PATH.")
    endif()
endif()

#Set C_FLAGS on Unix
if(UNIX OR APPLE)
    set(CMAKE_MACOSX_RPATH TRUE)
    set(CMAKE_C_FLAGS "-O3 -std=c99")
endif()

#Set the filename prefixes
set(NAME1 "BandedAlignerJNI")
set(NAME2 "MultiStateAligner11tsJNI")
set(NAME3 "BBMergeOverlapper")
set(NAME4 "IceCreamAlignerJNI")

#Set names of source and header files
set(SOURCES "${NAME1}.c" "${NAME2}.c" "${NAME3}.c" "${NAME4}.c")
set(HEADERS "align2_${NAME1}.h" "align2_${NAME2}.h" "jgi_${NAME3}.h" "jgi_${NAME4}.h")

#Generate header files
set(_stubDir "${CMAKE_CURRENT_BINARY_DIR}")
set(_classDir "${CMAKE_BINARY_DIR}")
add_custom_command(
    OUTPUT align2_${NAME1}.h
    COMMAND ${Java_JAVAH_EXECUTABLE} -verbose -classpath ${_classDir} -d ${_stubDir} -jni align2.${NAME1}
    )
add_custom_command(
    OUTPUT align2_${NAME2}.h
    COMMAND ${Java_JAVAH_EXECUTABLE} -verbose -classpath ${_classDir} -d ${_stubDir} -jni align2.${NAME2}
    )
add_custom_command(
    OUTPUT jgi_${NAME3}.h
    COMMAND ${Java_JAVAH_EXECUTABLE} -verbose -classpath ${_classDir} -d ${_stubDir} -jni jgi.${NAME3}
    )
add_custom_command(
    OUTPUT jgi_${NAME3}.h
    COMMAND ${Java_JAVAH_EXECUTABLE} -verbose -classpath ${_classDir} -d ${_stubDir} -jni jgi.${NAME4}
    )

#Generate bbtoolsjni.jnilib
include_directories(${CMAKE_CURRENT_BINARY_DIR} ${JNI_INCLUDE_DIRS}) 
add_library(bbtoolsjni SHARED ${SOURCES} ${HEADERS})

## bbmap 38.63+dfsg

=== debian/changelog ===
bbmap (38.63+dfsg-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * Ignore dh_dwz

 -- Andreas Tille <tille@debian.org>  Fri, 15 Nov 2019 16:27:35 +0100

bbmap (38.63+dfsg-1) unstable; urgency=medium

  * Fix override_sh_installman
    Closes: #935783
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Mon, 26 Aug 2019 11:45:52 +0200

bbmap (38.43+dfsg-1) experimental; urgency=medium

  * Initial release (Closes: #925875)

 -- Andreas Tille <tille@debian.org>  Wed, 27 Mar 2019 21:58:48 +0100

=== debian/control ===
Source: bbmap
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12),
               javahelper,
               default-jdk,
               libmpj-java,
               rename
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/med-team/bbmap
Vcs-Git: https://salsa.debian.org/med-team/bbmap.git
Homepage: https://sourceforge.net/projects/bbmap/

Package: bbmap
Architecture: all
Depends: ${java:Depends},
         ${misc:Depends}
Recommends: pigz
Description: short read aligner and other bioinformatic tools
 BBMap: Short read aligner for DNA and RNA-seq data. Capable of handling
 arbitrarily large genomes with millions of scaffolds. Handles Illumina,
 PacBio, 454, and other reads; very high sensitivity and tolerant of
 errors and numerous large indels.
 .
 BBMap is multithreaded as well as the other tools bundled into this
 package for instance:
 .
 BBNorm: Kmer-based error-correction and normalization tool.
 .
 Dedupe: Simplifies assemblies by removing duplicate or contained
 subsequences that share a target percent identity.
 .
 Reformat: Reformats reads between fasta/fastq/scarf/fasta+qual/sam,
 interleaved/paired, and ASCII-33/64, at over 500 MB/s.
 .
 BBDuk: Filters, trims, or masks reads with kmer matches to an
 artifact/contaminant file.

Package: bbmap-jni
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: short read aligner and other bioinformatic tools - JNI library
 BBMap: Short read aligner for DNA and RNA-seq data. Capable of handling
 arbitrarily large genomes with millions of scaffolds. Handles Illumina,
 PacBio, 454, and other reads; very high sensitivity and tolerant of
 errors and numerous large indels.
 .
 This package contains the architecture dependent library for the bbmap
 tools.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

include /usr/share/dpkg/default.mk
PKGSHAREDIR    := debian/$(DEB_SOURCE)/usr/share/$(DEB_SOURCE)

export JAVA_HOME  := /usr/lib/jvm/default-java
DEBJAR    := /usr/share/java
export CLASSPATH := $(DEBJAR)/mpi.jar

%:
	dh $@ --with javahelper

override_dh_auto_clean:
	# do nothing

override_dh_clean:
	dh_clean
	find . -name "*.class" -delete
	find . -name "*.so" -delete

override_dh_auto_build:
	cd jni && make -f makefile.linux
	jh_build $(DEB_SOURCE).jar current

override_dh_install:
	dh_install
	mkdir -p $(PKGSHAREDIR)
	# cp -a calcmem.sh $(PKGSHAREDIR)/calcmem # we don't have any name space collision when keeping .sh extension
	for scr in *.sh ; do \
	    if [ "$${scr}" != "calcmem.sh" ] ; then \
		sed -e 's:^CP=".DIR""current/":CP=/usr/share/java/bbmap.jar:' \
		    -e 's:source ".DIR""/calcmem.sh":source "/usr/share/$(DEB_SOURCE)/calcmem":' \
		    $${scr} > $(PKGSHAREDIR)/$${scr} ; \
	    fi ; \
	done

override_dh_fixperms:
	dh_fixperms
	chmod +x $(PKGSHAREDIR)/*

override_dh_installman:
	dh_installman --language=C

override_dh_installdocs:
	dh_installdocs
	find debian -name compiling.txt -delete
	find debian -name git.txt -delete
	find debian -name "Legal*.txt" -delete

override_dh_dwz:
	echo "Do nothing for Buster backport"

=== debian/watch ===
version=3

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  http://sf.net/bbmap/BBMap_(\d[\d\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## bbmap 38.79+dfsg

=== debian/changelog ===
bbmap (38.79+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 27 Feb 2020 11:28:29 +0100

bbmap (38.73+dfsg-1) unstable; urgency=medium

  * Files-Excluded: *.o *.dylib
    (Thanks to Adrian Bunk for spotting this)
    Closes: #945311
  * New upstream version
  * Standards-Version: 4.4.1
  * Use secure URI in debian/watch.

 -- Andreas Tille <tille@debian.org>  Fri, 22 Nov 2019 21:31:47 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                default-jdk,
                libmpj-java,
                rename
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/bbmap
 Vcs-Git: https://salsa.debian.org/med-team/bbmap.git
 Homepage: https://sourceforge.net/projects/bbmap/

=== debian/rules ===
--- 
+++ 
@@ -48,6 +48,3 @@
 	find debian -name compiling.txt -delete
 	find debian -name git.txt -delete
 	find debian -name "Legal*.txt" -delete
-
-override_dh_dwz:
-	echo "Do nothing for Buster backport"

## bbmap 38.84+dfsg

=== debian/changelog ===
bbmap (38.84+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Thu, 14 May 2020 11:30:33 +0200

bbmap (38.82+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Thu, 30 Apr 2020 08:43:04 +0200

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
 Vcs-Browser: https://salsa.debian.org/med-team/bbmap
 Vcs-Git: https://salsa.debian.org/med-team/bbmap.git
 Homepage: https://sourceforge.net/projects/bbmap/
+Rules-Requires-Root: no
 
 Package: bbmap
 Architecture: all

## bbmap 38.90+dfsg

=== debian/changelog ===
bbmap (38.90+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Nilesh Patra <npatra974@gmail.com>  Fri, 05 Feb 2021 15:49:08 +0530

bbmap (38.89+dfsg-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version

 -- Nilesh Patra <npatra974@gmail.com>  Mon, 01 Feb 2021 16:22:11 +0530

bbmap (38.88+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Nilesh Patra <npatra974@gmail.com>  Thu, 28 Jan 2021 17:09:34 +0530

bbmap (38.87+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Nilesh Patra <npatra974@gmail.com>  Fri, 16 Oct 2020 18:38:32 +0530

bbmap (38.86+dfsg-1) unstable; urgency=medium

  * Fix calcmem.sh issue
  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 18 Sep 2020 08:19:24 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                javahelper,
                default-jdk,
                libmpj-java,
                rename
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/bbmap
 Vcs-Git: https://salsa.debian.org/med-team/bbmap.git
 Homepage: https://sourceforge.net/projects/bbmap/

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 export JAVA_HOME  := /usr/lib/jvm/default-java
 DEBJAR    := /usr/share/java
 export CLASSPATH := $(DEBJAR)/mpi.jar
+export JH_JAR_EXTRA := resources/*
 
 %:
 	dh $@ --with javahelper
@@ -22,16 +23,16 @@
 
 override_dh_auto_build:
 	cd jni && make -f makefile.linux
-	jh_build $(DEB_SOURCE).jar current
+	JH_JAR_EXTRA=`$(CURDIR)/resources/*` jh_build $(DEB_SOURCE).jar current
 
 override_dh_install:
 	dh_install
 	mkdir -p $(PKGSHAREDIR)
-	# cp -a calcmem.sh $(PKGSHAREDIR)/calcmem # we don't have any name space collision when keeping .sh extension
+	cp -a calcmem.sh $(PKGSHAREDIR)
 	for scr in *.sh ; do \
 	    if [ "$${scr}" != "calcmem.sh" ] ; then \
 		sed -e 's:^CP=".DIR""current/":CP=/usr/share/java/bbmap.jar:' \
-		    -e 's:source ".DIR""/calcmem.sh":source "/usr/share/$(DEB_SOURCE)/calcmem":' \
+		    -e 's:source ".DIR""/calcmem.sh":source "/usr/share/$(DEB_SOURCE)/calcmem.sh":' \
 		    $${scr} > $(PKGSHAREDIR)/$${scr} ; \
 	    fi ; \
 	done

=== debian/watch ===
version=3

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://sf.net/bbmap/BBMap_(\d[\d\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## bbmap 38.95+dfsg

=== debian/changelog ===
bbmap (38.95+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 16 Jan 2022 08:27:10 +0100

bbmap (38.94+dfsg-2) unstable; urgency=medium

  * d/control: add myself to uploaders.
  * add 32bit.patch; fixes autpkgtest failures on at least i386 and armhf.

 -- Étienne Mollier <emollier@debian.org>  Wed, 06 Oct 2021 23:55:25 +0200

bbmap (38.94+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Include resources files
    Closes: #995406

  [ Étienne Mollier ]
  * New upstream version.
  * add autopkgtest, following discussion on #995406; thanks Robert Hein for
    the help with testing bbduk.sh!
  * d/control: add bbmap dependency to a JRE.

 -- Étienne Mollier <emollier@debian.org>  Tue, 05 Oct 2021 21:06:02 +0200

bbmap (38.93+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * watch file standard 4 (routine-update)
  * d/m/bbduk.sh.1: fix a groff-message, probably a malformation in the page
    rendering in the process.
  * d/control: fix a duplicated word in bbmap description.
  * d/m/bbmap.sh.1: fix typos in bbmap(1) manual.
  * d/m/bbnorm.sh.1: fix a typo in bbnorm(1) manual.

 -- Étienne Mollier <emollier@debian.org>  Sat, 25 Sep 2021 23:08:10 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: bbmap
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>,
+           Étienne Mollier <emollier@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                javahelper,
                default-jdk,
                libmpj-java,
-               rename
-Standards-Version: 4.5.1
+               rename,
+               debhelper
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/bbmap
 Vcs-Git: https://salsa.debian.org/med-team/bbmap.git
 Homepage: https://sourceforge.net/projects/bbmap/
@@ -17,16 +19,21 @@
 Package: bbmap
 Architecture: all
 Depends: ${java:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         openjdk-11-jre-headless|java-runtime-headless
+Provides: bbtools
 Recommends: pigz
-Description: short read aligner and other bioinformatic tools
+Description: BBTools genomic aligner and other tools for short sequences
+ The BBTools are a collection of small programs to solve recurrent
+ tasks for the creative handling of short biological RNA/DNA sequences.
+ This suite may be best known for its mapper, which is also the name of
+ the project on sourceforge, but several tools have been added over time.
+ All tools are multi-threaded, implemented platform-independently in Java:
+ .
  BBMap: Short read aligner for DNA and RNA-seq data. Capable of handling
  arbitrarily large genomes with millions of scaffolds. Handles Illumina,
  PacBio, 454, and other reads; very high sensitivity and tolerant of
  errors and numerous large indels.
- .
- BBMap is multithreaded as well as the other tools bundled into this
- package for instance:
  .
  BBNorm: Kmer-based error-correction and normalization tool.
  .

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,6 @@
 export JAVA_HOME  := /usr/lib/jvm/default-java
 DEBJAR    := /usr/share/java
 export CLASSPATH := $(DEBJAR)/mpi.jar
-export JH_JAR_EXTRA := resources/*
 
 %:
 	dh $@ --with javahelper
@@ -23,7 +22,8 @@
 
 override_dh_auto_build:
 	cd jni && make -f makefile.linux
-	JH_JAR_EXTRA=`$(CURDIR)/resources/*` jh_build $(DEB_SOURCE).jar current
+	jh_build $(DEB_SOURCE).jar current
+	cd $(CURDIR)/resources && jar uf $(CURDIR)/$(DEB_SOURCE).jar $(subst resources/,,$(wildcard resources/*))
 
 override_dh_install:
 	dh_install

## bbmap 38.98+dfsg

=== debian/changelog ===
bbmap (38.98+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 23 Aug 2022 16:19:34 +0200

bbmap (38.97+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * d/rules: enable hardening.

 -- Étienne Mollier <emollier@debian.org>  Wed, 03 Aug 2022 13:52:18 +0200

bbmap (38.96+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Add cppflags.patch: append CPPFLAGS to build flags; this enables fortifying
    the source.

 -- Étienne Mollier <emollier@debian.org>  Sat, 05 Mar 2022 12:48:46 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libmpj-java,
                rename,
                debhelper
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/bbmap
 Vcs-Git: https://salsa.debian.org/med-team/bbmap.git
 Homepage: https://sourceforge.net/projects/bbmap/

## bbmap 39.01+dfsg

=== debian/changelog ===
bbmap (39.01+dfsg-2) unstable; urgency=medium

  * d/control: bump bbmap dependency to openjdk-17-jre-headless.

 -- Étienne Mollier <emollier@debian.org>  Fri, 11 Nov 2022 14:24:14 +0100

bbmap (39.01+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 11 Oct 2022 20:46:37 +0200

bbmap (38.99+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 20 Sep 2022 09:48:07 +0200

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
 Architecture: all
 Depends: ${java:Depends},
          ${misc:Depends},
-         openjdk-11-jre-headless|java-runtime-headless
+         openjdk-17-jre-headless|java-runtime-headless
 Provides: bbtools
 Recommends: pigz
 Description: BBTools genomic aligner and other tools for short sequences

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 include /usr/share/dpkg/default.mk
 PKGSHAREDIR    := debian/$(DEB_SOURCE)/usr/share/$(DEB_SOURCE)
-
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export JAVA_HOME  := /usr/lib/jvm/default-java
 DEBJAR    := /usr/share/java
 export CLASSPATH := $(DEBJAR)/mpi.jar

## bbmap 39.06+dfsg

=== debian/changelog ===
bbmap (39.06+dfsg-1) unstable; urgency=medium

  * New upstream version 39.06+dfsg
  * java_syntax.patch: delete: applied upstream.
  * 32bit.patch: refresh.

 -- Étienne Mollier <emollier@debian.org>  Fri, 24 Nov 2023 11:55:22 +0100

bbmap (39.03+dfsg-1) unstable; urgency=medium

  * Team upload
  * Fixing some syntax issues linked to seemingly old, unused code

  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Pierre Gruet <pgt@debian.org>  Thu, 19 Oct 2023 22:23:06 +0200

bbmap (39.01+dfsg-3) unstable; urgency=medium

  * d/rules: clean object files. (Closes: #1043946)
  * d/*lintian-overrides: document false positive typo.

 -- Étienne Mollier <emollier@debian.org>  Sat, 16 Sep 2023 22:04:27 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libmpj-java,
                rename,
                debhelper
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/bbmap
 Vcs-Git: https://salsa.debian.org/med-team/bbmap.git
 Homepage: https://sourceforge.net/projects/bbmap/

## bbmap 39.08+dfsg

=== debian/changelog ===
bbmap (39.08+dfsg-1) unstable; urgency=medium

  * New upstream version 39.08+dfsg
  * d/control: declare compliance to standards version 4.7.0.

 -- Étienne Mollier <emollier@debian.org>  Fri, 09 Aug 2024 10:17:52 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libmpj-java,
                rename,
                debhelper
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/bbmap
 Vcs-Git: https://salsa.debian.org/med-team/bbmap.git
 Homepage: https://sourceforge.net/projects/bbmap/

## bbmap 39.09+dfsg

=== debian/changelog ===
bbmap (39.09+dfsg-1) unstable; urgency=medium

  * New upstream version 39.09+dfsg

 -- Étienne Mollier <emollier@debian.org>  Wed, 18 Sep 2024 23:16:43 +0200

## bbmap 39.13+dfsg

=== debian/changelog ===
bbmap (39.13+dfsg-1) unstable; urgency=medium

  * New upstream version 39.13+dfsg
  * 32bit.patch: unfuzz.

 -- Étienne Mollier <emollier@debian.org>  Sat, 30 Nov 2024 18:35:52 +0100

bbmap (39.11+dfsg-1) unstable; urgency=medium

  * New upstream version 39.11+dfsg
  * d/m/bbduk.sh.1: freshen the manual page.
  * d/m/reformat.sh.1: freshen the manual page.
  * d/m/bbmap.sh.1: refresh manual page.
  * debug_symbols.patch: normalize Last-Update timestamp.

 -- Étienne Mollier <emollier@debian.org>  Mon, 11 Nov 2024 23:05:21 +0100

## bbmap 39.15+dfsg

=== debian/changelog ===
bbmap (39.15+dfsg-1) unstable; urgency=medium

  * New upstream version 39.15+dfsg

 -- Étienne Mollier <emollier@debian.org>  Thu, 13 Feb 2025 20:54:14 +0100

## bbmap 39.18+dfsg

=== debian/changelog ===
bbmap (39.18+dfsg-1) unstable; urgency=medium

  * New upstream version 39.18+dfsg
  * d/control: declare compliance to standards version 4.7.2.

 -- Étienne Mollier <emollier@debian.org>  Sat, 01 Mar 2025 18:36:13 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libmpj-java,
                rename,
                debhelper
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/bbmap
 Vcs-Git: https://salsa.debian.org/med-team/bbmap.git
 Homepage: https://sourceforge.net/projects/bbmap/

## bbmap 39.20%2Bdfsg

=== debian/changelog ===
bbmap (39.20+dfsg-3) unstable; urgency=medium

  * autopkgtest-memory.patch: new: cap memory during autopkgtest.
    The memory cap should not affect regular user workloads.  This change
    is brought to avoid hogging autopkgtest runners. (Closes: #1120170)
  * d/control: drop redundant Rules-Requires-Root: no.
  * d/watch: convert to v5 SourceForge redirector.

 -- Étienne Mollier <emollier@debian.org>  Fri, 07 Nov 2025 19:51:46 +0100

bbmap (39.20+dfsg-2) unstable; urgency=medium

  * 32bit.patch: reduce java heap to 2000m.
    This fixes autopkgtest failures on armel.

 -- Étienne Mollier <emollier@debian.org>  Sun, 06 Apr 2025 18:52:32 +0200

bbmap (39.20+dfsg-1) unstable; urgency=medium

  * New upstream version 39.20+dfsg
  * d/control: depend on default-jre-headless. (Closes: #1102122)

 -- Étienne Mollier <emollier@debian.org>  Sat, 05 Apr 2025 13:52:34 +0200

=== debian/control ===
--- 
+++ 
@@ -14,13 +14,12 @@
 Vcs-Browser: https://salsa.debian.org/med-team/bbmap
 Vcs-Git: https://salsa.debian.org/med-team/bbmap.git
 Homepage: https://sourceforge.net/projects/bbmap/
-Rules-Requires-Root: no
 
 Package: bbmap
 Architecture: all
 Depends: ${java:Depends},
          ${misc:Depends},
-         openjdk-17-jre-headless|java-runtime-headless
+         default-jre-headless|java-runtime-headless
 Provides: bbtools
 Recommends: pigz
 Description: BBTools genomic aligner and other tools for short sequences

## bbmap 39.20+dfsg

=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,7 @@
 	dh_clean
 	find . -name "*.class" -delete
 	find . -name "*.so" -delete
+	find . -name "*.o" -delete
 
 override_dh_auto_build:
 	cd jni && make -f makefile.linux

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python-biopython-doc
Restrictions: allow-stderr

=== debian/watch ===
Version: 5

Source: https://sf.net/bbmap/
Matching-Pattern: BBMap_@ANY_VERSION@@ARCHIVE_EXT@
DVersion-Mangle: auto
Repack-Suffix: +dfsg
Repack: yes
Compression: xz
